# TODO:
# - install flags in %{datadir}/%{name} and make config for apache
# - patch config in package and fix paths
Summary:	Web server log analysis program
Summary(pl.UTF-8):	Program do analizy logów serwera WWW
Name:		awffull
Version:	3.10.2
Release:	7
License:	GPL v3+
Group:		Applications/Networking
Source0:	http://www.stedee.id.au/files/%{name}-%{version}.tar.gz
# Source0-md5:	90c1b0137ce687d06e56c49b854d41c1
Source1:	%{name}.sysconfig
Source2:	%{name}.cron
Source3:	%{name}.crontab
Patch0:		%{name}-no_css_overwrite_warning.patch
Patch1:		%{name}-geoip.patch
Patch2:		%{name}-locale_names.patch
Patch3:		%{name}-no_verbose_trash.patch
URL:		http://www.stedee.id.au/awffull/
BuildRequires:	GeoIP-devel > 1.4.0-1
BuildRequires:	gd-devel
BuildRequires:	gettext-tools
BuildRequires:	pcre-devel
Suggests:	crondaemon
Suggests:	dnshistory
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AWFFull is a Web server log analysis program, forked from Webalizer.
It adds a number of new features and improvements, such as extended
frontpage history, resizable graphs, and a few more pie charts.

%description -l pl.UTF-8
AWFFull to program do analizy logów serwer WWW wywodzący się z
Webalizera. Dodaje wiele nowych możliwości i ulepszeń, takich jak
rozszerzona historia strony głównej, skalowalne wykresy i nieco więcej
wykresów kołowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
rm po/*gmo
mv -f po/{no,nb}.po
mv -f po/zh{,_CN}.po

%build
%configure
%{__make} -C po update-gmo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/{sysconfig,cron.d},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -p contrib/%{name}_history_regen.pl $RPM_BUILD_ROOT%{_sbindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/%{name}.cron
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog *README* TODO flags
%attr(2755,root,stats) %dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}.cron
%attr(755,root,root) %{_sbindir}/%{name}_history_regen.pl
%{_mandir}/man[15]/awffull*
%changelog
* Tue Apr 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/awffull.git;a=log;h=master

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1656ac2
- updated gettext BR

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 4c35318
- suggest/require crondaemon
- release 7 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 334af8e
- release 6 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 54f0d7a
- release 5

* Sat Mar 07 2009 Paweł Gołaszewski <blues@pld-linux.org> 9d30c1e
- rel.4 - drop trash printed on every graph generated

* Tue Feb 03 2009 dzeus <dzeus@pld-linux.org> 8911c6a
- removed deprecated options (quiet)

* Tue Feb 03 2009 dzeus <dzeus@pld-linux.org> 6291e81
- removed deprecated options

* Mon Feb 02 2009 dzeus <dzeus@pld-linux.org> 78238c7
- License GPL v3+

* Sun Feb 01 2009 dzeus <dzeus@pld-linux.org> 0669167
- FORCE_USER option

* Tue Jan 27 2009 dzeus <dzeus@pld-linux.org> 5440e40
- rel. 2

* Tue Jan 27 2009 dzeus <dzeus@pld-linux.org> 5d6dc26
- fixed

* Tue Jan 27 2009 dzeus <dzeus@pld-linux.org> 31095e7
- up to 3.10.2

* Mon Jan 19 2009 dzeus <dzeus@pld-linux.org> a0d47a1
- up to 3.10.2

* Thu Jan 10 2008 zbyniu <zbyniu@pld-linux.org> d69a445
- locale_names.patch added, regenerate locales, rel 3

* Thu Jan 10 2008 zbyniu <zbyniu@pld-linux.org> 82024f5
- fix no/nb and zh/zh_CN

* Tue Jan 08 2008 Paweł Gołaszewski <blues@pld-linux.org> a19668a
- rel.2

* Tue Jan 08 2008 Paweł Gołaszewski <blues@pld-linux.org> 3539225
- 3.8.2

* Mon Aug 06 2007 Paweł Gołaszewski <blues@pld-linux.org> 720ab8e
- rel.2; added geoip patch

* Mon Aug 06 2007 Paweł Gołaszewski <blues@pld-linux.org> 072ffc3
- proper default GeoIP.dat location

* Tue Jun 12 2007 Paweł Gołaszewski <blues@pld-linux.org> 484ede7
- 3.7.5

